package com.bomostory.sceneeditmodule.layermanagement

import android.support.v7.widget.RecyclerView

interface ItemMoveSwipeListener {
    fun onItemMove(fromPosition: Int, toPosition: Int): Boolean
    fun onItemSwipe(position: Int)
    fun onSelectedChanged(viewHolder: RecyclerView.ViewHolder?, actionState: Int)
    fun clearView(recyclerView: RecyclerView, viewHolder: RecyclerView.ViewHolder)
}